#
# Cheng Yuan-Chung <platin@cle.linux.org.tw>
#

# useful aliases

alias cls='clear'
#alias date='date +%Y\ %B\ %d\ %A\ %T\ %Z'
alias ls='ls -N --color=auto'
alias dir='ls -N  --color=auto'
alias ll='ls -N -la --color=auto'
alias md='mkdir'
alias rd='rmdir'
alias mv='mv -iv'
alias move='mv -iv'
alias del='rm -iv'
alias rm='rm -iv'
alias cp='cp -iv'
alias copy='cp -iv'
alias rpm='LD_PRELOAD="" rpm'
alias v='vdir'
#alias startx='startx -- -deferglyphs 16'
#alias econfig='vi /etc/profile.d/cle-config.sh ; source /etc/profile.d/cle-config.sh'

function pps()
{
    if [ "$1" = "-p" ]; then
        ps ax|grep $2|grep -v pps|grep -v grep|awk '{print $1}'
    else
        if [ "$1" = "-u" ]; then
            ps aux|grep $2|grep -v grep
        else
            ps ax|grep $1|grep -v pps|grep -v grep
        fi
    fi
}
